Module tdlight.api
Package it.tdlight.jni

# Class TdApi.MessageForumTopicEdited

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.MessageContent
it.tdlight.jni.TdApi.MessageForumTopicEdited

Enclosing class:
  TdApi

public static final class TdApi.MessageForumTopicEdited extends TdApi.MessageContent
A forum topic has been edited.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`CONSTRUCTOR`
Identifier uniquely determining type of the object.
`boolean`
`editIconCustomEmojiId`
True, if icon's customEmojiId is changed.
`long`
`iconCustomEmojiId`
New unique identifier of the custom emoji shown on the topic icon; 0 if none.
`String`
`name`
If non-empty, the new name of the topic.

## Constructor Summary

Constructors
Constructor
Description
`MessageForumTopicEdited()`
A forum topic has been edited.
`MessageForumTopicEdited(DataInput input)`
A forum topic has been edited.
`MessageForumTopicEdited(String name, boolean editIconCustomEmojiId, long iconCustomEmojiId)`
A forum topic has been edited.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`int`
`getConstructor()`
Returns an identifier uniquely determining type of the object.
`int`
`hashCode()`
`void`
`serialize(DataOutput output)`
Serialize the TDLib class

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### name

public String name
If non-empty, the new name of the topic.

### editIconCustomEmojiId

public boolean editIconCustomEmojiId
True, if icon's customEmojiId is changed.

### iconCustomEmojiId

public long iconCustomEmojiId
New unique identifier of the custom emoji shown on the topic icon; 0 if none. Must be ignored if editIconCustomEmojiId is false.

### CONSTRUCTOR

public static final int CONSTRUCTOR
Identifier uniquely determining type of the object.

See Also:
  - Constant Field Values

## Constructor Details

### MessageForumTopicEdited

public MessageForumTopicEdited()
A forum topic has been edited.

### MessageForumTopicEdited

public MessageForumTopicEdited(String name, boolean editIconCustomEmojiId, long iconCustomEmojiId)
A forum topic has been edited.

Parameters:
  `name` - If non-empty, the new name of the topic.
  `editIconCustomEmojiId` - True, if icon's customEmojiId is changed.
  `iconCustomEmojiId` - New unique identifier of the custom emoji shown on the topic icon; 0 if none. Must be ignored if editIconCustomEmojiId is false.

### MessageForumTopicEdited

public MessageForumTopicEdited(DataInput input) throws IOException
A forum topic has been edited.

Parameters:
  `input` - Serialized input
Throws:
  `IOException` - the deserialization failed

## Method Details

### getConstructor

public int getConstructor()
Description copied from class: `TdApi.Object`
Returns an identifier uniquely determining type of the object.

Specified by:
  `getConstructor` in class `TdApi.Object`
Returns:
  this.CONSTRUCTOR

### serialize

public void serialize(DataOutput output) throws IOException
Serialize the TDLib class

Specified by:
  `serialize` in class `TdApi.Object`
Parameters:
  `output` - output data stream
Throws:
  `IOException` - the serialization failed

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`